function InstallWork: String;
var
  ini: TIniFile;
begin
  Result := '';
  RenameFile(Geoget_datadir + '\script\rop\install\draws', Geoget_datadir + '\offline\sysimg\rop');
  RenameFile(Geoget_datadir + '\script\rop\install\ROP.gcl', Geoget_datadir + '\ROP.gcl');
  RenameFile(Geoget_datadir + '\script\rop\install\ROP.db3', Geoget_datadir + '\ROP.db3');
  RenameFile(Geoget_datadir + '\script\rop\install\ROP.ggf', Geoget_datadir + '\ROP.ggf');
  ini := TIniFile.Create(Geoget_datadir + '\dbdef.ini');
  try
    ini.WriteString('ROP','filter','ROP');
    ini.WriteString('ROP','columns','ROP');
  finally
    ini.free;
  end;
end;

function UninstallWork: String;
var
  ini: TIniFile;
begin
  Result := '';
  Deltree(Geoget_datadir + '\offline\sysimg\rop');
  Deletefile(Geoget_datadir + '\ROP.gcl');
  Deletefile(Geoget_datadir + '\ROP.db3');
  Deletefile(Geoget_datadir + '\ROP.ggf');
  ini := TIniFile.Create(Geoget_datadir + '\dbdef.ini');
  try
    ini.EraseSection('ROP');
  finally
    ini.free;
  end;
end;
